Index: XIOS/dev/branch_openmp/src/transformation/axis_algorithm_inverse.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/axis_algorithm_inverse.cpp	(revision 1545)
+++ XIOS/dev/branch_openmp/src/transformation/axis_algorithm_inverse.cpp	(revision 1642)
@@ -15,5 +15,4 @@
 #include "inverse_axis.hpp"
 #include "client_client_dht_template.hpp"
-using namespace ep_lib;
 
 namespace xios {
@@ -28,4 +27,5 @@
                                                                std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDst->getAxis();
@@ -38,13 +38,16 @@
   return (new CAxisAlgorithmInverse(axisListDestP[axisDstIndex], axisListSrcP[axisSrcIndex], inverseAxis));
 }
+CATCH
 
 bool CAxisAlgorithmInverse::registerTrans()
+TRY
 {
   CGridTransformationFactory<CAxis>::registerTransformation(TRANS_INVERSE_AXIS, create);
 }
-
+CATCH
 
 CAxisAlgorithmInverse::CAxisAlgorithmInverse(CAxis* axisDestination, CAxis* axisSource, CInverseAxis* inverseAxis)
  : CAxisAlgorithmTransformation(axisDestination, axisSource)
+TRY
 {
   if (axisDestination->n_glo.getValue() != axisSource->n_glo.getValue())
@@ -56,6 +59,8 @@
   }
 }
+CATCH
 
 void CAxisAlgorithmInverse::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -83,4 +88,5 @@
   }
 }
+CATCH
 
 /*!
@@ -89,4 +95,5 @@
 */
 void CAxisAlgorithmInverse::updateAxisValue()
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -154,5 +161,5 @@
     sendRankSizeMap[itIndex->first] = sendSize;
   }
-  MPI_Allgather(&connectedClient,1,MPI_INT,recvCount,1,MPI_INT,client->intraComm);
+  ep_lib::MPI_Allgather(&connectedClient,1,EP_INT,recvCount,1,EP_INT,client->intraComm);
 
   displ[0]=0 ;
@@ -161,6 +168,6 @@
   int* recvRankBuff=new int[recvSize];
   int* recvSizeBuff=new int[recvSize];
-  MPI_Allgatherv(sendRankBuff,connectedClient,MPI_INT,recvRankBuff,recvCount,displ,MPI_INT,client->intraComm);
-  MPI_Allgatherv(sendSizeBuff,connectedClient,MPI_INT,recvSizeBuff,recvCount,displ,MPI_INT,client->intraComm);
+  ep_lib::MPI_Allgatherv(sendRankBuff,connectedClient,EP_INT,recvRankBuff,recvCount,displ,EP_INT,client->intraComm);
+  ep_lib::MPI_Allgatherv(sendSizeBuff,connectedClient,EP_INT,recvSizeBuff,recvCount,displ,EP_INT,client->intraComm);
   for (int i = 0; i < nbClient; ++i)
   {
@@ -174,6 +181,6 @@
 
   // Sending global index of grid source to corresponding process as well as the corresponding mask
-  std::vector<MPI_Request> requests;
-  std::vector<MPI_Status> status;
+  std::vector<ep_lib::MPI_Request> requests;
+  std::vector<ep_lib::MPI_Status> status;
   std::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
   std::unordered_map<int, double* > sendValueToDest;
@@ -185,6 +192,6 @@
     sendValueToDest[recvRank] = new double [recvSize];
 
-    requests.push_back(MPI_Request());
-    MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, MPI_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests.back());
+    requests.push_back(ep_lib::MPI_Request());
+    ep_lib::MPI_Irecv(recvGlobalIndexSrc[recvRank], recvSize, EP_UNSIGNED_LONG, recvRank, 46, client->intraComm, &requests.back());
   }
 
@@ -207,14 +214,14 @@
 
     // Send global index source and mask
-    requests.push_back(MPI_Request());
-    MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, MPI_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests.back());
+    requests.push_back(ep_lib::MPI_Request());
+    ep_lib::MPI_Isend(sendGlobalIndexSrc[sendRank], sendSize, EP_UNSIGNED_LONG, sendRank, 46, client->intraComm, &requests.back());
   }
 
   status.resize(requests.size());
-  MPI_Waitall(requests.size(), &requests[0], &status[0]);
-
-
-  std::vector<MPI_Request>().swap(requests);
-  std::vector<MPI_Status>().swap(status);
+  ep_lib::MPI_Waitall(requests.size(), &requests[0], &status[0]);
+
+
+  std::vector<ep_lib::MPI_Request>().swap(requests);
+  std::vector<ep_lib::MPI_Status>().swap(status);
 
   // Okie, on destination side, we will wait for information of masked index of source
@@ -224,6 +231,6 @@
     int recvSize = itSend->second;
 
-    requests.push_back(MPI_Request());
-    MPI_Irecv(recvValueFromSrc[recvRank], recvSize, MPI_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
+    requests.push_back(ep_lib::MPI_Request());
+    ep_lib::MPI_Irecv(recvValueFromSrc[recvRank], recvSize, EP_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
   }
 
@@ -242,9 +249,9 @@
     }
     // Okie, now inform the destination which source index are masked
-    requests.push_back(MPI_Request());
-    MPI_Isend(sendValueToDest[recvRank], recvSize, MPI_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
+    requests.push_back(ep_lib::MPI_Request());
+    ep_lib::MPI_Isend(sendValueToDest[recvRank], recvSize, EP_DOUBLE, recvRank, 48, client->intraComm, &requests.back());
   }
   status.resize(requests.size());
-  MPI_Waitall(requests.size(), &requests[0], &status[0]);
+  ep_lib::MPI_Waitall(requests.size(), &requests[0], &status[0]);
 
 
@@ -283,4 +290,5 @@
     delete [] itLong->second;
 }
-
-}
+CATCH
+
+}
